From: Victor Fusco <victor@cetuc.puc-rio.br>
Subject: [KJ] [PATCH 13/20] lib/radix-tree: Fix "nocast type" warnings

Fix the sparse warning "implicit cast to nocast type"

File/Subsystem:lib/radix-tree

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>

--

---
 include/linux/radix-tree.h |    4 ++--
 lib/radix-tree.c           |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

Index: quilt/include/linux/radix-tree.h
===================================================================
--- quilt.orig/include/linux/radix-tree.h
+++ quilt/include/linux/radix-tree.h
@@ -24,7 +24,7 @@
 
 struct radix_tree_root {
 	unsigned int		height;
-	int			gfp_mask;
+	unsigned int		gfp_mask;
 	struct radix_tree_node	*rnode;
 };
 
@@ -50,7 +50,7 @@ void *radix_tree_delete(struct radix_tre
 unsigned int
 radix_tree_gang_lookup(struct radix_tree_root *root, void **results,
 			unsigned long first_index, unsigned int max_items);
-int radix_tree_preload(int gfp_mask);
+int radix_tree_preload(unsigned int __nocast gfp_mask);
 void radix_tree_init(void);
 void *radix_tree_tag_set(struct radix_tree_root *root,
 			unsigned long index, int tag);
Index: quilt/lib/radix-tree.c
===================================================================
--- quilt.orig/lib/radix-tree.c
+++ quilt/lib/radix-tree.c
@@ -109,7 +109,7 @@ radix_tree_node_free(struct radix_tree_n
  * success, return zero, with preemption disabled.  On error, return -ENOMEM
  * with preemption not disabled.
  */
-int radix_tree_preload(int gfp_mask)
+int radix_tree_preload(unsigned int __nocast gfp_mask)
 {
 	struct radix_tree_preload *rtp;
 	struct radix_tree_node *node;
